<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.XIB" version="3.0" toolsVersion="21507" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" colorMatched="YES">
    <device id="retina6_12" orientation="portrait" appearance="light"/>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="21505"/>
        <capability name="System colors in document resources" minToolsVersion="11.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <objects>
        <placeholder placeholderIdentifier="IBFilesOwner" id="-1" userLabel="File's Owner"/>
        <placeholder placeholderIdentifier="IBFirstResponder" id="-2" customClass="UIResponder"/>
        <tableViewCell contentMode="scaleToFill" selectionStyle="default" indentationWidth="10" reuseIdentifier="SLHomeMsgTableViewCell" rowHeight="117" id="KGk-i7-Jjw" customClass="SLHomeMsgTableViewCell">
            <rect key="frame" x="0.0" y="0.0" width="389" height="117"/>
            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
            <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" tableViewCell="KGk-i7-Jjw" id="H2p-sc-9uM">
                <rect key="frame" x="0.0" y="0.0" width="389" height="117"/>
                <autoresizingMask key="autoresizingMask"/>
                <subviews>
                    <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="iy0-4M-8sM">
                        <rect key="frame" x="0.0" y="0.0" width="389" height="117"/>
                        <subviews>
                            <imageView clipsSubviews="YES" userInteractionEnabled="NO" contentMode="scaleAspectFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" image="icon_ellipse" translatesAutoresizingMaskIntoConstraints="NO" id="2mQ-9u-Y6h">
                                <rect key="frame" x="16" y="34.666666666666664" width="48" height="47.999999999999993"/>
                                <constraints>
                                    <constraint firstAttribute="width" secondItem="2mQ-9u-Y6h" secondAttribute="height" id="xem-vv-Mlb"/>
                                    <constraint firstAttribute="width" constant="48" id="znM-lN-t0W"/>
                                </constraints>
                                <userDefinedRuntimeAttributes>
                                    <userDefinedRuntimeAttribute type="number" keyPath="layer.cornerRadius">
                                        <integer key="value" value="24"/>
                                    </userDefinedRuntimeAttribute>
                                </userDefinedRuntimeAttributes>
                            </imageView>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="用户名称" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="11s-ic-gAj">
                                <rect key="frame" x="72" y="34.666666666666664" width="65.333333333333314" height="24"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="24" id="OWi-ba-VT0"/>
                                </constraints>
                                <fontDescription key="fontDescription" type="system" weight="medium" pointSize="16"/>
                                <nil key="textColor"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="一段很长很长的内容文字" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="WSp-se-8ET">
                                <rect key="frame" x="72" y="62.666666666666664" width="305" height="15.666666666666664"/>
                                <fontDescription key="fontDescription" type="system" pointSize="13"/>
                                <color key="textColor" systemColor="systemGray2Color"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" text="一段很长很长的内容文字" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="LLH-Q9-45f">
                                <rect key="frame" x="231" y="38.666666666666664" width="146" height="15.666666666666664"/>
                                <fontDescription key="fontDescription" type="system" pointSize="13"/>
                                <color key="textColor" systemColor="systemGray2Color"/>
                                <nil key="highlightedColor"/>
                            </label>
                            <view contentMode="scaleToFill" translatesAutoresizingMaskIntoConstraints="NO" id="hJc-MH-D5J">
                                <rect key="frame" x="72" y="116" width="317" height="1"/>
                                <color key="backgroundColor" red="0.94901960780000005" green="0.95294117649999999" blue="0.96862745100000003" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                <constraints>
                                    <constraint firstAttribute="height" constant="1" id="WON-GT-wP8"/>
                                </constraints>
                            </view>
                        </subviews>
                        <constraints>
                            <constraint firstItem="WSp-se-8ET" firstAttribute="leading" secondItem="11s-ic-gAj" secondAttribute="leading" id="4OF-qW-Tgk"/>
                            <constraint firstItem="WSp-se-8ET" firstAttribute="top" secondItem="11s-ic-gAj" secondAttribute="bottom" constant="4" id="4u3-Kz-IXY"/>
                            <constraint firstItem="2mQ-9u-Y6h" firstAttribute="leading" secondItem="iy0-4M-8sM" secondAttribute="leading" constant="16" id="AQl-dv-Zol"/>
                            <constraint firstAttribute="bottom" secondItem="hJc-MH-D5J" secondAttribute="bottom" id="HAv-wm-4eH"/>
                            <constraint firstItem="11s-ic-gAj" firstAttribute="leading" secondItem="2mQ-9u-Y6h" secondAttribute="trailing" constant="8" id="I2q-U9-oWS"/>
                            <constraint firstAttribute="trailing" secondItem="hJc-MH-D5J" secondAttribute="trailing" id="IZO-hV-IhP"/>
                            <constraint firstItem="2mQ-9u-Y6h" firstAttribute="centerY" secondItem="iy0-4M-8sM" secondAttribute="centerY" id="Vzm-Dh-y6B"/>
                            <constraint firstItem="WSp-se-8ET" firstAttribute="trailing" secondItem="LLH-Q9-45f" secondAttribute="trailing" id="gC1-Xm-Rqw"/>
                            <constraint firstItem="11s-ic-gAj" firstAttribute="top" secondItem="2mQ-9u-Y6h" secondAttribute="top" id="igb-9j-gDi"/>
                            <constraint firstItem="LLH-Q9-45f" firstAttribute="centerY" secondItem="11s-ic-gAj" secondAttribute="centerY" id="klB-Ku-eOr"/>
                            <constraint firstItem="hJc-MH-D5J" firstAttribute="leading" secondItem="WSp-se-8ET" secondAttribute="leading" id="mjs-hQ-Chq"/>
                            <constraint firstAttribute="trailing" secondItem="LLH-Q9-45f" secondAttribute="trailing" constant="12" id="odj-1g-0wH"/>
                        </constraints>
                    </view>
                </subviews>
                <constraints>
                    <constraint firstItem="iy0-4M-8sM" firstAttribute="top" secondItem="H2p-sc-9uM" secondAttribute="top" id="8dX-X6-3Js"/>
                    <constraint firstAttribute="bottom" secondItem="iy0-4M-8sM" secondAttribute="bottom" id="TJ4-3N-y8C"/>
                    <constraint firstAttribute="trailing" secondItem="iy0-4M-8sM" secondAttribute="trailing" id="fQb-1f-l4P"/>
                    <constraint firstItem="iy0-4M-8sM" firstAttribute="leading" secondItem="H2p-sc-9uM" secondAttribute="leading" id="nPi-hF-wwP"/>
                </constraints>
            </tableViewCellContentView>
            <connections>
                <outlet property="headImageView" destination="2mQ-9u-Y6h" id="mCg-u6-eCL"/>
                <outlet property="msgLabel" destination="WSp-se-8ET" id="ytc-3V-rnR"/>
                <outlet property="nameLabel" destination="11s-ic-gAj" id="zxV-dp-tik"/>
                <outlet property="timeLabel" destination="LLH-Q9-45f" id="gnc-iN-8gM"/>
            </connections>
            <point key="canvasLocation" x="70.992366412213741" y="24.295774647887324"/>
        </tableViewCell>
    </objects>
    <resources>
        <image name="icon_ellipse" width="52.333332061767578" height="52.333332061767578"/>
        <systemColor name="systemGray2Color">
            <color red="0.68235294117647061" green="0.68235294117647061" blue="0.69803921568627447" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
        </systemColor>
    </resources>
</document>
